/*
Theme Name:     Newspaper Child theme
Theme URI: 		http://themeforest.net/user/tagDiv/portfolio
Description:    Child theme made by tagDiv
Author:         tagDiv
Author URI: 	http://themeforest.net/user/tagDiv/portfolio
Template:       Newspaper
Version:        9.0c
*/

/*  ----------------------------------------------------------------------------
    This file will load automatically when the child theme is active. You can use it
    for custom CSS.
*/
@import url("fonts/fonts.css");


:root {
  --td_default_google_font_1:
    "MiSansKhmer", "MiSansLatin", system-ui, -apple-system, sans-serif !important;
  --td_default_google_font_2: var(--td_default_google_font_1);
  --fs-size: clamp(0.9375rem, 0.9261rem + 0.0568vw, 0.96875rem);
  --fs-title: clamp(1rem, 0.9545rem + 0.2273vw, 1.125rem); /* 16 - 18 */
  --td_theme_color: var(--primary);
  --td_grid_border_color: #ededed;
  --td_black: var(--primary);
  --td_text_color: var(--text-color);
}

html,
body {
  font-family: var(--td_default_google_font_1);
}

.entry-title > a {
  text-box-trim: trim-both;
  text-box-edge: text text;
}

/* GLOBAL OVERRIDE */
.td_block_template_8 .td-block-title {
    font-size: var(--fs-title) !important;
    font-weight: 600 !important;
}

.entry-title.td-module-title {
  font-size: var(--fs-size);
  line-height: 1.5;
  font-weight: 600;
}

.td_module_wrap {
  padding-bottom: calc(inherit - 4px) !important;
}

.td_module_flex_3 .entry-title,
.td_module_flex_4 .entry-title {
  font-size: 14px;
  font-weight: 600;
}

.widget, .td_block_wrap.vc_widget_sidebar { 
    margin-bottom: 0 !important;
}

/* CSS Utilities */
.clamp2 .td-module-title > a,
.clamp2 .tdb_module_title,
.excerpt2 .tdb_module_excerpt,
.excerpt2 .td-module-meta-info .td-excerpt {
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  column-count: auto;
}
.clamp3 .td-module-title,
.clamp3 .tdb_module_title,
.excerpt3 .tdb_module_excerpt,
.excerpt3 .td-module-meta-info .td-excerpt {
  display: -webkit-box;
  line-clamp: 3;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  column-count: auto !important;
}

.adstext .konchab-random-link {
	color: var(--text-color) !important;
	&:hover {
		color: var(--primary) !important;
	}
}

/* SINGLE POST */
.tdb_single_content {
  .tdb-block-inner {
    p.wp-block-paragraph {
      text-indent: 10%;
    }
  }
}
